Subject: [Mpls-interop] terminology ambiguity

From: Huub van Helvoort <[email-masked]>
Date: Mon, 03 Nov 2008 12:02:48 +0100

Hi,

In order to find ambiguities in the terminology used by IETF
and ITU-T I have started to work on the Rosetta Stone draft.

I have already taken text from:
draft-jenkins-mpls-mpls-tp-requirements
draft-vigoureux-mpls-tp-oam-requirements
draft-gray-mpls-tp-nm-req
draft-busi-mpls-tp-oam-framework

However i found in recommendation G.8110 a number of definitions
that may cause confusion.

I have listed the terms below and enclosed the term in [] which
were already defined in the drafts mentioned above.

Please reply with your indication of which definitions may cause
misunderstanding so i can include them in the Rosetta Stone draft.
(or remove in your reply any terms that need NO definition)

==========
ITU-T Rec. G.8101/Y.1355 (12/2006) 1
3.1 access point
3.2 adapted information
3.3 characteristic information
3.4 client/server relationship
3.5 connection
3.6 connection point
[3.7 defect]
3.8  failure (this is not the same as a fault!)
3.9 forward direction
[3.10 layer network]
[3.11 link]
3.12 link connection
3.13 matrix
3.14 network
3.15 network connection
3.16 network operator
3.17 port
3.18 reference point
3.19 service provider
3.20 subnetwork
3.21 subnetwork connection
3.22 termination connection point
3.23 trail
3.24 trail termination
3.25 trail termination point
3.26 transport
3.27 transport entity
3.28 transport processing function
3.29 unidirectional connection
3.30 unidirectional trail
3.31 Z layer
Transport MPLS (T-MPLS) Recommendations uses the following term
defined in ITU-T Rec. G.806:
[3.32 defect]
Transport MPLS (T-MPLS) Recommendations uses the following terms
defined in ITU-T Rec. G.809:
3.33 access point
3.34 adaptation
3.35 adapted information
3.36 characteristic information
3.37 client/server relationship

-- 3.38 - 3.55 are connectionless related so will not be considered
3.38 connectionless trail
3.39 flow
3.40 flow domain
3.41 flow domain flow
3.42 flow point
3.43 flow point pool
3.44 flow point pool link
3.45 flow termination
3.46 flow termination sink
3.47 flow termination source
3.48 layer network
3.49 link flow
3.50 network
3.51 network flow
3.52 port
3.53 reference point
3.54 termination flow point
3.55 termination flow point pool
--

3.56 traffic unit
3.57 transport
3.58 transport entity
Transport MPLS (T-MPLS) Recommendations uses the following term defined 
in ITU-T Rec. G.8010/Y.1306:
3.59 point-to-point Ethernet connection
Transport MPLS (T-MPLS) Recommendations uses the following terms defined 
in ITU-T Rec. Y.1711:
3.60 backward direction
[3.61 defect]
3.62 client/server (relationship between layer networks)
3.63 failure
3.64 forward direction
3.65 user-plane
Transport MPLS (T-MPLS) Recommendations uses the following terms defined 
in ITU-T Rec. Y.1720:
3.66 1+1 protection
3.67 1:1 protection
3.68 bidirectional protection switching
3.69 bridge
[3.70 defect]
3.71 extra traffic
3.72 failure
3.73 forced switch for working LSP
3.74 hold-off time
3.75 manual switch
3.76 MPLS protection domain
3.77 non-revertive protection switching
3.78 no request
3.79 packet 1+1 protection
3.80 path switch LSR
3.81 path merge LSR
3.82 protection LSP
3.83 protection switching
3.84 rerouting
3.85 revertive protection switching
3.86 selector
3.87 shared mesh protection
3.88 Shared Risk Group (SRG)
3.89 sink of the protection domain
3.90 source of the protection domain
3.91 unidirectional protection switching
3.92 wait to restore
3.93 wait to restore timer
3.94 working LSP
Transport MPLS (T-MPLS) Recommendations uses the following terms defined 
in ITU-T Rec. Y.1731:
3.95 in-service OAM
3.96 proactive OAM

Cheere, Huub.

-- 
================================================================
                   http://www.van-helvoort.eu/
================================================================
Always remember that you are unique...just like everyone else...
_______________________________________________
Mpls-interop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-interop